/**
 * Tuxtalador2 -- Tuxtalador rewrite that helps with a system installation.
 * Copyright (C) 2008 Tuxum Secure Systems.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MODULE_LOADER_H__
#define __MODULE_LOADER_H__

namespace Tuxtalador2{

	class ModuleManager;


	/**
	 * @short Loads all modules into the system.
	 *
	 * very simple class that just loads the modules as necesary.
	 */
	class ModuleLoader{
	public:
		static void loadModules(ModuleManager *);
	};

};

#endif
